/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: GetJDBCDatasourceInfoEvent.as 18499 2009-09-03 14:25:10Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.jdbcconnections.event {


import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;

/**
 * Gets infos about a given JDBC Datasource on the server side.
 * @author Florent Benoit
 */ 
public class GetJDBCDatasourceInfoEvent extends CairngormEvent {


    /**
     * Name of the Event.
     */
    public static const EVENT_GET_JDBC_DATASOURCE_INFO : String = "GetJDBCDatasourceInfo";

	/**
	 * ObjectName of the Datasource.
	 */
	 private var objectNameDatasource : String = null;

    public function GetJDBCDatasourceInfoEvent(type : String, objectNameDatasource : String) {
        super(type);
        this.objectNameDatasource = objectNameDatasource;
    }


    /**
     * Overrides the clone function of the CairngormEvent class.
     * returns Event
     */
    override public function clone() : Event {
        return new GetJDBCDatasourceInfoEvent(this.type, objectNameDatasource);
    }

    public function get value() : String {
    	return objectNameDatasource;
    }


}
}