/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: KillAJDBCConnectionEvent.as 18499 2009-09-03 14:25:10Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.jdbcconnections.event {


import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;

/**
 * Allows to kill a given JDBC Connection.
 * @author Florent Benoit
 */ 
public class KillAJDBCConnectionEvent extends CairngormEvent {

    /**
     * Name of the Event.
     */
    public static const EVENT_KILL_A_JDBC_CONNECTION : String = "KillAJDBCConnection";

	/**
	 * ObjectName value (of the datasource)
	 */
	 private var objectNameValue : String = null;
	 
	/**
	 * ID value (of the connection)
	 */
	 private var connectionIDValue : int = 0;	 

    public function KillAJDBCConnectionEvent(type : String, objectNameValue : String, connectionIDValue : int) {
        super(type);
        this.objectNameValue = objectNameValue;
        this.connectionIDValue = connectionIDValue;
        
    }

    /**
     * Overrides the clone function of the CairngormEvent class.
     * returns Event
     */
    override public function clone() : Event {
        return new KillAJDBCConnectionEvent(this.type, this.objectNameValue, connectionIDValue);
    }
    
    
    public function get objectName() : String {
    	return objectNameValue;
    }

    public function get connectionID() : int {
    	return connectionIDValue;
    }


}
}