/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: SetRegexpValueJNDIInterceptorsEvent.as 18499 2009-09-03 14:25:10Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.jdbcconnections.event {


import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;

/**
 * Sets the regexp value of the JNDI Interceptors config.
 * @author Florent Benoit
 */ 
public class SetRegexpValueJNDIInterceptorsEvent extends CairngormEvent {

    /**
     * Name of the Event.
     */
    public static const EVENT_SET_REGEXP_VALUE_JNDIINTERCEPTORS_CONFIGURATION : String = "setRegexpValueJNDIInterceptors";

	/**
	 * Regexp value.
	 */
	 private var regexpValue : String = null;

    public function SetRegexpValueJNDIInterceptorsEvent(type : String, regexpValue : String) {
        super(type);
        this.regexpValue = regexpValue;
    }

    /**
     * Overrides the clone function of the CairngormEvent class.
     * returns Event
     */
    override public function clone() : Event {
        return new SetRegexpValueJNDIInterceptorsEvent(this.type, this.regexpValue);
    }
    
    
    public function get value() : String {
    	return regexpValue;
    }


}
}