/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JDBCConnectionInfoVO.as 18499 2009-09-03 14:25:10Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.jdbcconnections.vo {
	import com.adobe.cairngorm.vo.IValueObject;
	
	import mx.collections.ArrayCollection;
	

/**
 * Data about a given JDBC Connection.
 * @author Florent Benoit
 */
[RemoteClass(alias="org.ow2.jonas.admin.jdbcconnections.service.JDBCConnectionInfo")]
[Bindable]
public class JDBCConnectionInfoVO implements IValueObject {

	public var id : int = 0;
	public var openCount : int = 0;
	public var inactive : Boolean = true;
	public var duration : Number = 0;
	public var transactionXid : String = null;
	public var age : Number = 0;
	public var transactionTimeout : String = null;
	
	[ArrayElementType(ThreadInfoVO)]
	public var openersThreadInfos : ArrayCollection = null;
	
	[ArrayElementType(ThreadInfoVO)]
	public var closersThreadInfos : ArrayCollection = null;
	
	/**
	 * Default constructor.
	 */ 
	public function JDBCConnectionInfoVO() {
		
	}

}
}