/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JDBCDatasourceInfoVO.as 18499 2009-09-03 14:25:10Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.jdbcconnections.vo {
import com.adobe.cairngorm.vo.IValueObject;


/**
 * Data about a given JDBC Datasource.
 * @author Florent Benoit
 */
[RemoteClass(alias="org.ow2.jonas.admin.jdbcconnections.service.JDBCDatasourceInfo")]
[Bindable]
public class JDBCDatasourceInfoVO implements IValueObject {

    private var jndiNameValue : String = null;
    private var urlValue : String = null;
    private var jdbcDriverValue : String = null;
    private var observableValue : Boolean = false;
    private var currentConnectionsOpenedValue : int = 0;
    private var currentBusyValue : int = 0;
    private var maxPoolValue : int = 0;

	/**
	 * Default constructor.
	 */ 
	public function JDBCDatasourceInfoVO() {
		
	}

    public function get jndiName() : String {
        return jndiNameValue;
    }

    public function set jndiName(jndiNameValue : String) : void {
        this.jndiNameValue = jndiNameValue;
    }


    public function get url() : String {
        return urlValue;
    }

    public function set url(urlValue : String) : void {
        this.urlValue = urlValue;
    }

    public function get jdbcDriver() : String {
        return jdbcDriverValue;
    }

    public function set jdbcDriver(jdbcDriverValue : String) : void {
        this.jdbcDriverValue = jdbcDriverValue;
    }


    public function get observable() : Boolean {
        return observableValue;
    }

    public function set observable(observableValue : Boolean) : void {
        this.observableValue = observableValue;
    }

    public function get currentConnectionsOpened() : int {
        return currentConnectionsOpenedValue;
    }

    public function set currentConnectionsOpened(currentConnectionsOpenedValue : int) : void {
        this.currentConnectionsOpenedValue = currentConnectionsOpenedValue;
    }

    public function get currentBusy() : int {
        return currentBusyValue;
    }

    public function set currentBusy(currentBusyValue : int) : void {
        this.currentBusyValue = currentBusyValue;
    }

    public function get maxPool() : int {
        return maxPoolValue;
    }

    public function set maxPool(maxPoolValue : int) : void {
        this.maxPoolValue = maxPoolValue;
    }

}
}