/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JNDIInterceptorsConfigurationVO.as 18499 2009-09-03 14:25:10Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.jdbcconnections.vo {
	import com.adobe.cairngorm.vo.IValueObject;
	

/**
 * Data about the JNDI Interceptors.
 * @author Florent Benoit
 */
[RemoteClass(alias="org.ow2.jonas.admin.jdbcconnections.service.JNDIInterceptorsConfiguration")]
[Bindable]
public class JNDIInterceptorsConfigurationVO implements IValueObject {

    private var isJndiInterceptorEnabled : Boolean = false;
    private var regExpValue : String;
    private var isForceClose : Boolean;

	/**
	 * Default constructor.
	 */ 
	public function JNDIInterceptorsConfigurationVO() {
		
	}

    public function set jndiInterceptorEnabled(isJndiInterceptorEnabled : Boolean) : void {
        this.isJndiInterceptorEnabled = isJndiInterceptorEnabled;
    }

    public function get jndiInterceptorEnabled() : Boolean {
        return this.isJndiInterceptorEnabled;
    }

    public function get regExp() : String {
        return this.regExpValue;
    }

    public function set regExp(regExpValue : String) : void {
        this.regExpValue = regExpValue;
    }

    public function set forceClose(isForceClose : Boolean) : void {
        this.isForceClose = isForceClose;
    }

    public function get forceClose() : Boolean {
        return this.isForceClose;
    }

}
}